### Method

# ECal Client discard_alarm

since: 3.2

#### Declaration [src]

    void
    e_cal_client_discard_alarm (
      ECalClient* client,
      const gchar* uid,
      const gchar* rid,
      const gchar* auid,
      ECalOperationFlags opflags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Discards alarm `auid` from a given component identified by `uid` and `rid`. The call is finished by `e_cal_client_discard_alarm_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_discard_alarm_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier for a calendar component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence identifier.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`auid`

  Type: `const gchar*`

  Alarm identifier to discard.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.